<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a [routerLink]="['/home']"><span class="navbar-brand mb-0 h2"
                                    style="font-style: italic;padding-right: 20px;">Booking <span class="fa fa-building"
                                                                                              arial-hidden="true"></span></span></a>
  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav">
      <li class="nav-item" [routerLinkActive]="['active']"  *ngIf="user.Role === 0">
        <a class="nav-link" [routerLink]="['/admin']">All users</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active']"  *ngIf="user.Role === 0">
        <a class="nav-link" [routerLink]="['/show-all']">All apartments</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active']"  *ngIf="user.Role === 0">
        <a class="nav-link" [routerLink]="['/amenities']">Amenities</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active']"  *ngIf="user.Role === 1">
        <a class="nav-link" [routerLink]="['/show-all']">Active apartments</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active']"  *ngIf="user.Role === 2">
        <a class="nav-link" [routerLink]="['/active-apartments']">My active apartments</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active']"  *ngIf="user.Role === 2">
        <a class="nav-link" [routerLink]="['/non-active-apartments']">My non active apartments</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active']"  *ngIf="user.Role === 0">
        <a class="nav-link" [routerLink]="['/add-host']">New host</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active']"  *ngIf="user.Role === 2">
        <a class="nav-link" [routerLink]="['/new-apartment']">New apartment</a>
      </li>
    </ul>
    <ul class="navbar-nav ml-auto" style="padding-right: 20px;">

      <li class="nav-item" [routerLinkActive]="['active']" id="apartments" >
        <a class="nav-link"  routerLink="/edit-data" >Profile</a>
      </li>
      <li class="nav-item" [routerLinkActive]="['active']" id="logout" >
        <a class="nav-link"  (click)="logout()">Logout</a>
      </li>
    </ul>
  </div>
</nav>
